# Gimp.TextLayer.prototype.set_markup

    function set_markup(markup: String): Boolean {
        // Gjs wrapper for gimp_text_layer_set_markup()
    }

Set the markup for a text layer from a string.

This procedure sets the markup of the styles for a text layer. The markup should be in the form of Pango's markup - See https://docs.gtk.org/Pango/pango_markup.html for a reference. Note that GIMP's text tool does not support all of Pango markup. Any unsupported markup will still be applied to your text layer, yet would be dropped as soon as you edit text with the tool.

Since 3.0

markup

  The new markup to set.

Returns

  TRUE on success.